tveccat(1)

NAME
tveccat - output (poss. selected) tvecs from multiple tvec files

SYNOPSIS
tveccat [-i infile] [-o outfile] [-S N sff1 ... sffN] -s [0,1]
        [-C N nam1 ... namN] [-c N nam1 ... namN] [-f N nam1 ... namN]

DESCRIPTION
tveccat takes multiple tvec files that have been concatonated into the input, and outputs selected (or all) vectors as one tvec file. With no flags, tveccat will simply merge all tvecs into one file without any changes. Be aware that this can result in duplicate vectors of the same name. For instance, given two tvec files in the input stream, if the first file contains two vectors named MFLOP and the second file contains one, the merged file will have three tvecs with the name MFLOP.

You can make tvec names from different files distinct in the concatenated output by specifying the -S flag, which takes a suffix string to add to every tvec in each input file. So, given flags -S 3 _LU _QR _UU, tvecs from the first file will be suffixed with _LU, tvecs from the second _QR, and so on. If the number of suffixes provided to -S is less than the number of tvec files in the input stream, then tvec names from later files are unchanged, and if more suffixes than files are supplied, the later suffixes are unused.

Alternatively, by setting -s 1, tvec names are automatically suffixed by the file number. So, assuming three input files, all tvecs from the first file would be suffixed by _1, all tvecs from file 2 with _2, and so on. If both -S and -s are thrown, then -s will affect only those files not explicitly renamed by -S.

If -C, -c, or -f are used, then tveccat takes only selected vectors from the input stream. For all tvecs named in the -c list, tveccat will output only the first instance of that tvec found in all files, while for those named in the -C list, it will output all tvecs of that name found in all files. Finally, for any tvecs in the -f list, tveccat will only output the first such tvec found (if any) in each file. When combining these flags with the suffixing flags, they take the original (not suffixed) names as arguments. The tvec selection flags are processed in this order: -c, -C, -f.

If none of the select flags (-C, -c, -f) are thrown, then the input tvec order is retained in the output. If -C, -c, or -f are used, then the selected tvecs are ordered in the output first by file, then by -c, -C, -f, then by command line argument order.

For a command that allows more flexibility in selecting only certain vectors from multiple files and in arbitrarily renaming tvecs, see the related tvecselect(1).

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-S N sff1 ... sffN
    Suffixes to add to the tvec names of first N files

-s 0/1
    Don't/do suffix tvec names of files that aren't renamed with -S with _file# (starting from 1). Default is 0.

-C N nam1 ... namN
    Name of vectors that should appear in the output as many times as they occur in the input stream. If none of -C,-f,-c are set, output all tvecs.

-f N nam1 ... namN
    Name of vectors to output only the first occurrence in each input file. If none of -C,-f,-c are set, output all tvecs.

-c N nam1 ... namN
    Name of vectors to take only the first occurrence in the input stream. If none of -C,-f,-c are set, output all tvecs.

EXAMPLE
cat LU.tvec QR.tvec MM.tvec | tveccat -c 1 N -C 1 MFLOP -S 3 _lu _qr _mm | tvecrename -R 1 N_lu N

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley